CKSUM(1)

NOME
cksum - compute and verify file checksums

SINOPSE
cksum [OPÇÃO]... [ARQUIVO]...

DESCRIÇÃO

Print or verify checksums. By default use the 32 bit CRC algorithm.

Com nenhum ARQUIVO ou quando ARQUIVO é -, lê a entrada padrão.

Argumentos obrigatórios para opções longas também o são para opções curtas.

-a, --algorithm=TIPO
    select the digest type to use. See DIGEST below.

-c, --check
    read checksums from the FILEs and check them

-l, --length=BITS
    digest length in bits; must not exceed the max for the blake2 algorithm and must be a multiple of 8

--tag
    cria uma soma de verificação estilo BSD (padrão)

--untagged
    create a reversed style checksum, without digest type

-z, --zero
    termina cada linha de saída com NULO, e não com nova linha, e desabilita escapamento de nome de arquivo

  As cinco opções a seguir são úteis apenas quando conferindo as somas de verificação:

--ignore-missing
    não falha ou relata estado para arquivos em falta

--quiet
    não exibe OK para cada arquivo verificado com sucesso

--status
    não emite nada, o código do estado indica sucesso

--strict
    sai com não-zero para linhas de soma de verificação formatadas de maneira imprópria

-w, --warn
    avisa sobre linhas de soma de verificação formatadas de maneira imprópria

--debug
    indicate which implementation used

--help
    mostra esta ajuda e sai

--version
    informa a versão e sai

  DIGEST determines the digest algorithm and default output format:

sysv
    (equivalente a sum -s).

bsd (equivalente a sum -r).

crc (equivalente a cksum).

md5 (equivalente a md5sum).

sha1
    (equivalente a sha1sum).

sha224
    (equivalente a sha224sum).

sha256
    (equivalente a sha256sum).

sha384
    (equivalente a sha384sum).

sha512
    (equivalente a sha512sum).

blake2b
    (equivalente a b2sum).

sm3 (only available through cksum)

When checking, the input should be a former output of this program, or equivalent standalone program.

AUTOR
Escrito por Padraig Brady e Q. Frank Xia.

RELATANDO PROBLEMAS
Página de ajuda do GNU coreutils: <https://www.gnu.org/software/coreutils/>
Relate erros de tradução para <https://translationproject.org/team/pt_BR.html>.

DIREITOS AUTORAIS
Copyright © 2022 Free Software Foundation, Inc. Licença GPLv3+: GNU GPL versão 3 ou posterior <https://gnu.org/licenses/gpl.html>.
Este é um software livre: você é livre para alterá-lo e redistribuí-lo. NÃO HÁ QUALQUER GARANTIA, na máxima extensão permitida em lei.

VEJA TAMBÉM
Documentação completa <https://www.gnu.org/software/coreutils/cksum>
ou disponível localmente via: info '(coreutils) cksum invocation'

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).